Introduction

Microsoft Pinyin IME (below MSPY) is an intelligent input method. It employs an advanced language model and is based on sentence input, which is the outcome of the latest study in natural language technology.

Since MSPY applies Chinese pinyin as input method, user who can speak Chinese would use MSPY without additional learning or training. MSPY also provides a feature called fuzzy for those users who have accent in their spoken Chinese.

Since MSPY is based on sentence input, user would type pinyin of the whole sentence continuously without selecting Chinese words manually. This feature benefits user with fast speed.

In addition, MSPY has many customized functions, such as learning and user-defined phrase. By interacting with user in a short time, MSPY would adapt itself to user's experience and jargon, which leads to a high accuracy and user-friendly operation.


What's New

MSPY3.0 applies the latest language model and training results, which has the advantage in high accuracy and less computer resource cost. In addition, some new or improved features are provided:

Modeless Input
This is a totally new and cool feature of MSPY3.0. In modeless input mode, user type English words and/or Chinese pinyin miscellaneously and do not need toggle between Chinese and English input mode. MSPY would convert them in right way by the context.

Word Mode
Word mode of MSPY3.0 is designed with a new embedded reading window, in which pinyin and converted Chinese words are displayed.

Prompt Step by Step
The design of prompt step by step is improved. When it is enabled, the candidate window would keep activated and list the predicted contents according to context.

Candidate Window
New features are available in candidate window, such as option of sort method and display style.


Language Bar

Language bar indicates the current input status. By clicking buttons on it, user would change the input status or invoke input tools such as soft keyboard and/or IME Pad.

The buttons on the language bar may be customized by user.

Button | Function | Hot Key
 | Toggle input mode between Chinese and English | Shift
 | Toggle symbol shape between double and single | Shift + Space
 | Toggle punctuation style between Chinese and English | CTRL + .
 | Toggle Chinese input between simplified and traditional | N/A
 | Soft keyboard switch | N/A
 | IME Pad switch | N/A
 | Click to invoke option menu | N/A
 | Launch help files | N/A


Reading Window

Reading window displays typed pinyin before it has been converted to Chinese. Because reading window can only display one Chinese word's pinyin at each time, the previous pinyin would be converted to Chinese character automatically and displayed in compose window when user is typing a next syllable or a syllable-segment mark.

Reading Window Operations
Key | Operation
Space | Syllable-segment, convert pinyin to Chinese character
Enter | Syllable-segment, convert pinyin to Chinese character
Single quotation mark | Syllable-segment, convert pinyin to Chinese character
BACKSPACE | Delete the last letter typed in pinyin string
ESC | Cancel current pinyin input and close the reading window
Mouse | Not support

Notes
  • In modeless or word mode, reading window is embedded in compose window.
  • Reading window doesn't accept illegal pinyin input unless incomplete is selected.


Candidate Window

Candidate window displays the Chinese words or phrases having the same pronunciation. The candidate would be selected by mouse or numeric key. Using candidate window will decrease key strokes and increase accuracy. The candidate window appears in any of the following condition:

  • Editing the content in compose window.
  • Typing pinyin in prompt step by step mode.

Candidate Window Operations
Key | Operation
Space | Select candidate in editing mode, or covert pinyin in prompt step by step mode
Enter | Select candidate and confirm the compose window
UP, DOWN | Select candidate
-, Page Up | Turn to previous page of candidate window
+, Page Down | Turn to next page of candidate window
ESC | Close the candidate window
Mouse | Select candidate, sorting mode or turn page

Candidate Sort

By changing sort mode, the candidate words or phrases will appear in different sequence within the candidate window. Two sort modes are supported in MSPY:

  • Sort by length ascending Chinese words are ranked at ahead of phrases
  • Sort by length descending phrases are ranked at ahead of characters

Selecting candidate sort mode
  1. Click sort button [image] on candidate window, sort menu appears as below,
  2. Select sort mode on sort menu.

Candidate Window Style

Besides the row style, MSPY3.0 introduces a list style into Candidate window.

Select the style by the following steps:

  1. Right click mouse button on the language bar, or click button [image] to activate option menu.
  2. Select "property" in the option menu to open property sheet.
  3. Select "Row" or "List".


Compose Window

Compose window displays Chinese words and/or symbols converted by MSPY. The content within the compose window is underlined and would change accordingly by the typed context. User would edit the content before compose window is confirmed.

Compose Window Operations
Key | Operation
Space | Confirm and close the compose window
Enter | Confirm and close the compose window
`(key ~) | Open reading window and show pinyin of the Chinese character right to the cursor
Left, Right | Move the cursor
BACKSPACE | Delete the character left to cursor
DELETE | Delete the character right to cursor
ESC | Cancel and close the window
Mouse | Move the cursor

Confirmation

The content of the compose window will be confirmed and send to editor in any of the following conditions:

  • Press Enter when cursor locates anywhere in compose window.
  • Press Space Bar when cursor locates at the end of compose window.
  • Press any key after comma, semicolon, period, exclamation or question mark.

Insertion

  1. Press Left or Right Arrow to move the cursor to the insert location.
  2. Type what you want.

Deletion

  1. Press Left or Right Arrow to move the cursor to the left of the character you want to delete
  2. Press Delete key.

Altering Pinyin

  1. Press Left or Right Arrow to move cursor to the left of the character you want to alter.
  2. Press `(key ~), the pinyin of the Chinese character right to the cursor will be displayed in the reading window.
  3. Alter the pinyin in reading window.

Notes
  • The limitation of Chinese characters displayed in compose window is 32, if the number goes beyond it, the foremost typed character will be confirmed automatically.
  • In modeless or word mode, operations within compose window are different from the above.


Input Bar and At Caret

Input Bar

Input bar is another input interface, which appears while user disable at caret. Input bar consists of reading window, candidate window and compose window, and stands at a fixed position of the screen.

Even though at caret is set, MSPY will open compose window with bar style if there is no focus to be edited or a nonstandard control is being edited.

At Caret

At caret means that MSPY windows (reading window, candidate window and compose window) always site at the cursor position of the editor and move with it.

If at caret is disabled, an input bar would appear at a certain position of the screen and would not move with the cursor of the editor. The input bar contains all MSPY windows, and the contents of the compose window will not be send to editor until user confirms.

Set At Caret

  1. Click button [image] on the language bar to activate option menu.
  2. Select or clear "At caret" on option menu.

Notes
  • The candidate window on input bar has only row style.
  • If the current editor doesn't support "At caret", the option menu would not contain the item "At caret".


Soft Keyboard

Within soft keyboard, user would input special characters or simulate key-pressing by clicking the mouse. MSPY supports 12 soft keyboard layouts.

PC keyboard Pinyin letter Math number
Greek Hiragana Math symbol
Russian Katakana Table symbol
Phonetic Punctuation Special symbol

Open or Close Soft Keyboard

  • Click the soft keyboard button [image] on the the language bar.

Choose Layout of Soft Keyboard

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Click "Soft keyboard" in option menu to display the layout menu.

  3. Click the expected layout.


Option Menu

Via the option menu, user may invoke User-defined phrase tool, choose layout of soft keyboard, open property sheet, activate this help file, and get the version information of MSPY.

Activate Option Menu

  • Right click on the language bar or click button [image] to activate option menu.


Property Sheet

MSPY provides many options, which would be customized by using property sheet.

Open Property Sheet

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.


Sentence Mode

MSPY is based on sentence input, sentence mode is the default setting.

In sentence mode, user may type pinyin of whole sentence continuously without paying attention to the conversion of Chinese words or phrases. The typed content would be converted intelligently based on context. The more complete sentence user types, the more accurate result MSPY converts.

For some ambiguous pinyin, user must type syllable segment marks except in modeless mode.

Using Sentence Mode

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Select the "Sentence" radio button on property sheet.


Word Mode

Although sentence mode satisfies most users, word mode is convenient in some occasions such as filling a spreadsheet or inputting short phrases. Word mode will be the better choice when there is no context to support sentence mode.

Word mode is totally redesigned. An embedded window is applied instead of the reading window, in which pinyin string is displayed before it has been converted to Chinese.

The conversion in word mode is based on Chinese phrases. User may press "Space" or "Enter" to convert pinyin to Chinese and choose the right candidate from candidate window. The longest Chinese phrase that MSPY supports is nine-characters word.

Usage of BACKSPACE

  • Delete pinyin left to the cursor if pinyin string has not been segmented.
  • Reverse Chinese character to pinyin if pinyin has been converted to Chinese.
  • Delete pinyin from right to left if pinyin string has been segmented or Chinese phrases have been reversed to pinyin.

Using Word Mode

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Select the "Word" radio button on property sheet.

Notes
  • Modeless input is not supported in word mode.
  • Prompt step by step is not supported in word mode.
  • The phrases modified by user will be added to the user's dictionary if User-defined phrase is enabled.


Full Pinyin Input

In full pinyin mode, every letter of pinyin string should be typed and no letter could be omitted. For example, typing "yizhikeaidexiaohuamao" will result in "一只可爱的小花猫" coming into compose window.

Using Full Pinyin Input Mode

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Full Pinyin" radio button on property sheet.


Double Pinyin Input

In double pinyin mode, every keystroke represents either a consonant or a vowel of Chinese pinyin.

In double pinyin mode, user would type two keys for a single Chinese character, the first is an initial consonant and the second is the simple or compound vowel. For example, assuming the "MSPY default" double pinyin scheme is adopted, while user types "yivikeoldexchwmk", "一只可爱的小花猫" appears in compose window.

User could customize double pinyin scheme by redefining key assignments.

Using Full Pinyin Input

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Double Pinyin" radio button on property sheet.

Double Pinyin Key Assignment

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Click "Double pinyin schemes" label on property sheet.

  4. Click the button "New scheme".
  5. Choose keys one by one and assign corresponding consonant and/or vowel to it.
  6. Click the button "Save as", name and save the customized scheme.
  7. Click "Ok" to close the property sheet.

Notes
  • Double pinyin input mode reduces keystrokes and increases Chinese input speed.
  • In double pinyin input mode, modeless and incomplete input are not supported.


Modeless Input

Modeless input is the coolest feature of MSPY3.0. In modeless input mode, user could type English and Chinese words miscellaneously without toggling input mode between English and Chinese. MSPY will decide whether or not convert pinyin string to Chinese by the context. Modeless input mode is suitable for inputting Chinese articles which are mixed with little English words.

In modeless input mode, an embedded reading window is used instead of reading window, pinyin string and/or English words are displayed in compose window.

English words may be converted to Chinese character incorrectly in modeless input, in such a case, user may move cursor right to the Chinese character, and press BACKSPACE to reverse Chinese character to English letters.

Usage of BACKSPACE

  • Reverse Chinese character to pinyin if the Chinese character lies in left to the cursor.
  • Delete the letter if the English letter lies in left to the cursor.

Using Modeless Input

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Modeless input" check box on property sheet.

Notes
  • Modeless input is disabled when incomplete input is selected.
  • Modeless input is not available in double pinyin and word mode.


Incomplete Input

In incomplete input mode, user may type Chinese character only by initial consonant. For example, if user types "zhg", Chinese phrases like "整个", "中国", "这个" etc. whose pinyin are begun with "zh" and "g" would appear in candidate window.

Using incomplete input will reduce keystrokes, but it will decrease conversion accuracy.

Using Modeless Input

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Incomplete input" check box on property sheet.

Notes
  • Incomplete input is not available while modeless input is selected.
  • Incomplete input is not available in word mode.


Fuzzy Input

For some users who have accent in their spoken Chinese, it is difficult for them to distinguish certain Chinese pinyin pairs, such as "zh" with "z", and "ing" with "in" etc. MSPY provides fuzzy input mode for those users.

Every fuzzy pair consists of two pinyin whose pronunciation are easily confused with each other. In fuzzy input mode, when user type one pinyin of the fuzzy pair, the other pinyin will appear in candidate window too. For example, assuming pair "sh, s" is selected, when "si" is typed, the Chinese characters pronounced both "si" and "shi" will be displayed in candidate window simultaneously.

MSPY provides eleven fuzzy pairs, user may select some or all of those pairs according to his/her accent.

Fuzzy Pair | Default | Fuzzy Pair | Default
zh, z | Yes | f, hu | No
ch, c | Yes | wang, huang | No
sh, s | Yes | an, ang | Yes
n, l | No | en, eng | Yes
l, r | No | in, ing | Yes
f, h | No

Using Fuzzy Input

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Fuzzy input" check box on property sheet.

Customize Fuzzy Pairs

After selecting fuzzy input mode, user may use the default fuzzy scheme or customize the scheme by the following steps:

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Click the "Customize fuzzy mapping" button.
  4. Select or clear the fuzzy pairs from "Fuzzy pairs list".
  5. Click the "Save as" button, name and save the customized fuzzy scheme.


Input with Tone

When typing pinyin, user may add tone after every syllable as the segment mark, which would increase conversion accuracy. The digits 1, 2, 3, 4 represent the four tones of modern standard Chinese pronunciation, and 5 represents the light tone.

Notes
  • Input with tone is not supported while it is in modeless input mode or if prompt step by step is enabled.


Syllable Segment Marks

Syllable segment marks are used to separate pinyin from different Chinese characters. In most cases, user may pay no attention about segment, since MSPY do the segmentation automatically. But in some conditions, the continuous pinyin string will lead to ambiguity. For example, when user types "xian", MSPY will convert it to "先" rather than the expected "西安". There are four marks would be used as syllable segment.

Mark | Example
Enter | xi[Enter]an
Space | xi[Space]an
Single quotation mark | xi'an
Tone | xi1an

Using one of the syllable segment marks when inputting a pinyin which has no initial consonant (shengmu in Chinese), unless it is the beginning of a sentence.

The segment mark could be omitted in modeless input mode. In modeless input mode, the alternative of an ambiguous syllable would be listed in candidate window and converted according to the context. In the following illustration, user types "xianshi", both characters sounding "xi'anshi" and "xianshi" are listed in candidate window. User could select Chinese phrase from candidate or keep typing to provide more context for automatically conversion.


Prompt Step by Step

When prompt step by step is enabled, candidate window would keep activated and list the content MSPY predicts for user according to context. The previous typed Chinese are displayed in gray. Using prompt step by step would reduce key strokes and increase conversion accuracy by selecting the proper candidate.

Enable Prompt Step by Step

  1. Click button [image] on the language bar to activate option menu.
  2. Select "Properties" on option menu.
  3. Select the "Prompt Step by Step" check box on the property sheet.

Notes
  • The feature input with tone is not supported when prompt step by step is enabled.


Learning

Learning is one of the intelligent features of MSPY.

If learning is enabled, MSPY would remember the modification user made in compose window and adjust the occurrence frequency of the corresponding words. Next time when user type the same word combination, MSPY would avoid the previous conversion mistake.

Enable Learning

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Select the check box "Learning" on property sheet.

Delete Learning File

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Clear the check box "Enable learning" on property sheet.
  4. Click the button "Delete learning file".
  5. Click "OK" on the popup dialog box.

Notes
  • If learning is disabled, the former learning file would not take effect.
  • The learning file can be erased only when learning is disabled.
  • MSPY saves respective learning files for different users logging on to the system.


User-defined Phrase

For those frequently used phrases which are not included in MSPY's dictionary, user would append them into a user's dictionary. Both phrases, coming from the MSPY's dictionary or user-defined, would be treated equally and come into the candidate window simultaneously.

While define a phrase, please follow the restriction: each phrase consists of 2 to 9 Chinese characters, and English letters or symbols are exclusive. The user-defined dictionary would support 5000 items of each 2-word, 3-word till to 9-word phrases respectively. The user-defined phrases would be appended into the user's dictionary online on by an offline tool.

Enable User-defined Phrase

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Select the check box "User-defined phrase" on property sheet.

Delete User-defined Phrase

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Select "Property" on option menu.
  3. Clear the check box "User-defined phrase" on property sheet.
  4. Click the button "Delete user-defined phrase".
  5. Click "OK" on pop-up dialog box.

Notes
  • If "user-defined phrase" is disabled, the user's dictionary would not take effect.
  • The user-defined phrases can be erased only when "user-defined phrase" is disabled.
  • MSPY saves respective user's dictionary for different users logging on to the system.
  • Click the button "Delete user-defined phrase" would delete the whole user's dictionary, in case of modifying or deleting items of the dictionary, please use the offline tool instead.


Online User-defined Phrase

User would define a phrase while editing a text file:

  1. If "User-defined phrase" is not enabled, enable it.
  2. In the editor, type the phrase and leave it in the compose window.
  3. Modify the Chinese characters of compose window until the correct phrase appears.
  4. Select the phrase in the compose window, then press ENTER.

Notes
  • In word mode, if "User-defined phrase" is enabled, any modification made within the compose window would be appended into user's dictionary automatically.


User-defined Phrase Tool

MSPY provides an offline tool for managing and maintaining the user's dictionary. By the offline tool, user would administrate the dictionary directly.

Invoke User-defined Phrase Tool

  1. Right click on the language bar or click button [image] to activate option menu.
  2. Click "User-defined phrase tool" on option menu.

Interface of the Offline Tool

A list containing all user-defined phrases appears when the offline tool is activated. In the list, the first column "Phrase" is the user-defined phrases which is sorted ascendingly by the length of phrase and alphabet of pinyin. The second column "Reading(Pinyin)" is pinyin of the phrases. Since the contents of second column are provided automatically by the tool, user can not change it unless the Chinese character is polyphone. In addition, this tool would filter out the phrases defined repeatedly or existed in the MSPY's dictionary.

Add Phrase

  1. Click the first blank field of the "Phrase" column, or from the menu bar, click "Edit", then click "Add Phrase".
  2. Type the phrase in the blank field.
  3. The column "Reading" will be filled automatically, and shown in blue.

Modify Phrase

  1. Click the phrase you want to modify on the "Phrase" column, or from the memu bar, click "Edit", then click "Locate Phrase" and type the phrase to locate it.
  2. Modify the phrase.
  3. The pinyin would be updated automatically, and shown in red.

Delete Phrase

  1. Click the sequence number left to the phrase you want to delete.
  2. Press Delete key, or from menu bar click "Edit", then click "Delete Phrase".

Import

User would import phrases from a text file to the user's dictionary. The text file should be saved in UNICODE format. In the text file, each phrase locates on separate line and pinyin are optional. During importing, the tool would filter out those phrases which are not satisfied with the restriction of user-defines phrase, and correct pinyin automatically.

  1. Click "File" on the menu bar, then click "Import".
  2. Specify the text file.
  3. Click the "Open" button.

Export

The user's dictionary can be exported to an text file in UNICODE format, this process is a reverse of Import.

  1. Click "File" on the menu bar, then click "Save as text".
  2. Specify the file name and the path.
  3. Click the "Save" button.


Input GBK Characters

MSPY supports all GBK Chinese characters. To reduce length of candidates, MSPY arrange all characters into two input modes - Simplified and Traditional, which can be toggled on the language bar .

Some Chinese personal names include GBK characters which are beyond the frequent used Chinese characters in GB2312. Such as 劼、珺、沄 etc., to input those characters, simply toggle to the traditional input mode.


Input Chinese Punctuations

Below table shows the key map of Chinese punctuations. Those Chinese punctuations are always shown in full-shape, no matter the shape setting on the language bar.

Punctuation | Key | Comment
。 | . |
， | , |
； | ; |
、 | \ |
： | : |
？ | ? |
！ | ! |
“ ” | " | auto-match
‘ ’ | ' | auto-match
《〈 | < | auto-nest
》〉 | > | auto-nest
…… | ^ | double
—— | _ | double
· | @ |
— | & |
￥ | $ |


Input Radicals

Some Chinese radicals are just elements to construct Chinese characters, they are not separate Chinese characters themselves, nor do they have pronunciations. Generally, to input these radicals, type the first syllables of their names.

Some radicals supported in MSPY are listed in the below table, along with their pinyin entries.

Radical | Input
丶 | dian3
丨 | shu4
亠 | wen2
冫 | liang3
(丷) | ba1
(丆) | shi2
(乛) | zhe2
冖 | tu1
讠(訁) | yan2
刂 | li4
冂 | tong2
亻 | dan1
卩 | dan1
阝 | zuo3
氵 | san1
丬 | jiang4
忄 | shu4
宀 | bao3
(乊) | hu1
辶 | zou3
艹 | cao3
扌 | ti2
彡 | san1
夂 | zhe2 or dong1
犭 | fan3
饣(飠) | shi2
纟(糹) | jiao3
礻 | shi4
(牜) | niu2
攵 | fan3
疒 | bing4
衤 | yi1
(罒) | si4
(覀) | xi1
(罓) | gang1 or wang3
(爫) | zhao3
钅(釒) | jin1
虍 | hu3
糸 | jiao3


.topic 0x9001
Enable or disable learning

.topic 0x9003
Delete the learning file

.topic 0x9004
Enable or disable user-defined phrase

.topic 0x9006
Delete current user's dictionary

.topic 0x9007
Enable or disable prompt step by step

.topic 0x9008
Enable or disable incomplete input mode

.topic 0x9009
Enable or disable fuzzy input mode

.topic 0x900A
Type pinyin in full pinyin mode

.topic 0x900B
Type pinyin in double pinyin mode

.topic 0x900C
Customize fuzzy pairs

.topic 0x900D
Type pinyin in sentence mode

.topic 0x900E
Type pinyin in word mode

.topic 0x900F
e-adIDH_ENABLE_ANSI_ONLY_IN_UNICODE

.topic 0x9010
Enable or disable modeless input mode

.topic 0x9011
e-adIDH_IMPORTLEARNING_BTN

.topic 0x9012
e-adIDH_EXPORTLEARNING_BTN

.topic 0x9013
e-adIDH_ENABLE_ASSOCIATE_PHRASE

.topic 0x9014
e-adIDH_INPUT_METHOD_LIST

.topic 0x9015
Candidate window is shown in row style

.topic 0x9016
Candidate window is shown in list style

.topic 0xA001
Select customized double pinyin scheme

.topic 0xA002
Customize double pinyin scheme

.topic 0xA003
Save current double pinyin scheme

.topic 0xA004
Delete current double pinyin scheme

.topic 0xA005
Map a Chinese consonant for the selected key

.topic 0xA006
Map a Chinese vowel for the selected key

.topic 0xA007
Map another Chinese vowel for the selected key

.topic 0xA008
The mapping of keyboard to Chinese consonants and vowels

.topic 0xA009
Select if you want to map a Chinese vowel to more than one key

.topic 0x410
Select a customized fuzzy scheme

.topic 0x411
Select fuzzy pairs

.topic 0x412
Save current fuzzy scheme

.topic 0x413
Delete current fuzzy scheme

.topic 0x9101
Type Chinese phrase here

.topic 0x9102
Click to add the phrase into user's dictionary

.topic 0x9103
Click to invoke the user-defined phrase tool

.topic 0x9104
Display the Chinese characters of which the phrase is composed

.topic 0x9105
Display the pinyin of each Chinese character. For polyphonic characters, select the correct pinyin from the list

.topic 0x9201
Name the customized scheme

.topic 0x9202
Type the name of customized scheme

.topic 0x9301
Close the dialog box and save the changes

.topic 0x9302
Close the dialog box without saving any changes


PC Soft Keyboard Layout

Back to Soft Keyboard page


Greek Soft Keyboard Layout

Back to Soft Keyboard page


Russian Soft Keyboard Layout

Back to Soft Keyboard page


Phonetic Soft Keyboard Layout

Back to Soft Keyboard page


Pinyin Letter Soft Keyboard Layout

Back to Soft Keyboard page


Hiragana Soft Keyboard Layout

Back to Soft Keyboard page


Katakana Soft Keyboard Layout

Back to Soft Keyboard page


Punctuation Soft Keyboard Layout

Back to Soft Keyboard page


Math Number Soft Keyboard Layout

Back to Soft Keyboard page


Math Symbol Soft Keyboard Layout

Back to Soft Keyboard page


Table Symbol Soft Keyboard Layout

Back to Soft Keyboard page


Special Symbol Soft Keyboard Layout

Back to Soft Keyboard page